#declare bodyTex = 
texture {
  pigment { color rgb <1,1,0.9> }
  finish { ambient 0.05 diffuse 0.8 phong 0.2} // { ambient 0.1 diffuse 0.8 phong 0.2}
} 

#declare darkerTex = 
texture {
  pigment { color rgb <0.1,0.1,0.1> }
  finish { ambient 0.05 diffuse 0.8 phong 0.2} // { ambient 0.1 diffuse 0.8 phong 0.2}
}

#declare blackOut = 
texture {
  pigment { color rgb <0,0,0> }
  finish { ambient 0 diffuse 0 phong 0}
}
#declare spunEyes = 
texture { Spun_Brass
 finish { myFinish }
} 
#declare theGearTex = 
texture{Copper_Metal
  finish { myFinish }
}
#declare personTex = bodyTex;
#declare eyeTex = spunEyes;
#declare theGearTex = theGearTex; 


// the Gear
#declare gearFrame=
   difference{cylinder{<0,-0.8,0>, <0,0.8,0>, 2}
              cylinder{<0,-1,0>, <0,1,0>, 1}
              torus{2, 0.3 translate 0.8*y}
              torus{2, 0.3 translate -0.8*y}}
#declare spars=
  union{box{<-0.5,-0.5,1.1>, <0.5,0.5,6>}
        difference{box{<-1.5,-0.5,6>, <1.5,0.5,7>}
                   cylinder{<-1.5,-1,6>,<-1.5,1,6>,1}
                   cylinder{<1.5,-1,6>,<1.5,1,6>,1}}}
#declare Ring=
   difference{cylinder{<0,-0.8,0>, <0,0.8,0>, 8}
//              cylinder{<0,-1,0>, <0,1,0>, 7}
              torus{7.4, 0.3 scale <1,1,0.94> translate 0.8*y 
              texture { Chrome_Metal }
              //texture { blackOut }
              finish { phong 0.7 phong_size 50 reflection 0.2 ambient 0.01 }
              pigment { color rgb <1,1,0.9> } 
              }
              torus{7.4, 0.3 scale <1,1,0.94> translate -0.8*y 
              texture { Chrome_Metal }
              //texture { blackOut }
              finish { phong 0.7 phong_size 50 reflection 0.2 ambient 0.01 }
              pigment { color rgb <1,1,0.9> } 
              }
}
#declare notches=
   difference{box{<-1.2,-0.8,0>, <1.2,0.8,1.3>}
              box{<-1,-2,-1>, <0,2,2> rotate 15*y translate -1*x}
              box{<0,-2,-1>, <1,2,2> rotate -15*y translate 1*x}}
#declare theGear=
   union{object{gearFrame}
         #declare Teta=0;
         #while (Teta < 360)
                object{spars rotate Teta*y}
                #declare Teta=Teta+72;
         #end
         object{Ring }
         #declare Teta=0;
         #while (Teta < 360)
                object{notches translate 7.8*z rotate (Teta+10)*y}
                #declare Teta=Teta+20;
         #end
         }
         //END the Gear 

//////// mohawk
#declare gearHawk = 
  difference {
    object{theGear scale 0.4 rotate <0,0,90> rotate <35,0,0> 
    // rotateGear( )
    translate <0,0,0>} //center
    box { <-4, -4, -4>,< 4, 4, 4>
        scale <1,1,1>
        rotate<0,0,0>           
        translate<0,-4,0>
        }
  texture{theGearTex}
  //texture { blackOut }
  };
//////// END mohawk

// headStuff
#declare headSphere = 
    sphere{0,2.8
    texture { personTex }
    //texture { blackOut }
    SRT(<1,1,1>,<0,0,0>,<0, 0, 0>)
    }
#declare eyeball =
    sphere{0,1.0
    texture { eyeTex }
    //texture { blackOut }
    SRT(<1.0, 1.15, 0.55>,<0,0,0>,<0, 0, 0>)
    }        
    
#declare gearHead = 
union {
    object{headSphere}
    object{gearHawk scale <1, 1.03, 1.05>*0.9 rotate <35,0,0> translate <0,0.1,0>}
    object{eyeball
    //scaleEyeballR( )
    translate <0,0,-2.4>
    rotate <0,0,-10> rotate <10,0,0> rotate <0,24,0>
    //rotateEyeballR( )
    }
    object{eyeball
    //scaleEyeballL( )
    translate <0,0,-2.4>
    rotate <0,0,10> rotate <10,0,0> rotate <0,-24,0>
    //rotateEyeballL( )
    }
};     
    
    

#include "shapes3.inc"
#declare theTorso =
//------------------------------------------------------------------------------------------ 
object { Egg_Shape (1.0,1.8) 
         texture { personTex }
         //texture { blackOut }
         scale<4,4,4>
         rotate <0,0,0>
         translate< 0, 0, 0>
       } // end of object ------------------------------------


#declare rightArm =
blob{
  threshold 0.6 // threshold (0.0 < threshold <= Strength) surface falloff threshold #
  sphere{<0,0,0>, 1.2, 0.5 scale <1,1,1>}
  sphere{<-0.3, -1.0,0>, 1.5, 0.8 scale <1,1.5,1>}
  sphere{<0,-3.0,0>, 2.0, 0.8 scale 1 translate <0,0,0>}
  scale 1.5
  rotate<0,0,0>
  translate<0,0,0>
  texture { personTex }
  //texture { blackOut }
 } //------------------------------------------------------ end of blob object     
         

#declare leftArm =
blob{
  threshold 0.6 // threshold (0.0 < threshold <= Strength) surface falloff threshold #
  sphere{<0,0,0>, 1.2, 0.5 scale <1,1,1>}
  sphere{<0.3, -1.0,0>, 1.5, 0.8 scale <1,1.5,1>}
  sphere{<0,-3.0,0>, 2.0, 0.8 scale 1 translate <0,0,0>}
  scale 1.5
  rotate<0,0,0>
  translate<0,0,0>
  texture { personTex }
  //texture { blackOut }
 } //------------------------------------------------------ end of blob object     
         

#declare rightLeg =
blob{
  threshold 0.6 // threshold (0.0 < threshold <= Strength) surface falloff threshold #
  sphere{<0,0,0>, 1.2, 0.5 scale <1,1,1>}
  sphere{<-0.1, -1.0,-0.1>, 1.5, 0.8 scale <1,1.5,1>}
  sphere{<0,-3.0,0>, 2.0, 0.8 scale 1 translate <0,0,0>}
  scale 2.0
  rotate<0,0,0>
  translate<0,0,0>
  texture { personTex }
  //texture { blackOut }
 } //------------------------------------------------------ end of blob object     

#declare leftLeg =
blob{
  threshold 0.6 // threshold (0.0 < threshold <= Strength) surface falloff threshold #
  sphere{<0,0,0>, 1.2, 0.5 scale <1,1,1>}
  sphere{<0.1, -1.0,-0.1>, 1.5, 0.8 scale <1,1.5,1>}
  sphere{<0,-3.0,0>, 2.0, 0.8 scale 1 translate <0,0,0>}
  scale 2.0
  rotate<0,0,0>
  translate<0,0,0>
  texture { personTex }
  //texture { blackOut }
 } //------------------------------------------------------ end of blob object     
                  