#version 3.7;
 #default{ finish{ ambient 0.1 diffuse 0.6 }}
 global_settings { assumed_gamma 1.0 }       

// /*  // radiosity
#default{ finish{ ambient 0 diffuse 0.4 }}
  global_settings {
    radiosity {
      adc_bailout 0.01/0.4
      always_sample off
      brightness 1.0
      count 500
      error_bound 1.0
      gray_threshold 0.0
      low_error_factor 0.8
      //max_sample 1.0
      //media on
      minimum_reuse 0.015
      nearest_count 10
      normal on
      pretrace_start 0.08
      pretrace_end   0.01
      recursion_limit 2
    }
  }
// */
 
//--------------------------------------------------------------------------
#include "colors.inc"
#include "textures.inc"
#include "glass.inc"
#include "metals.inc"
#include "golds.inc"
#include "stones.inc"
#include "woods.inc"

// custom files required
#include "myTextures.inc"
#include "simpleShapes.inc" 
#include "gearHeadKid2016.inc"

// ----------------------------------------


// camera ------------------------------------------------------------------
#declare Camera_0 = camera {/*ultra_wide_angle*/  //angle 90     // front view
                            location  <0 , 0.0 ,-1>
                            look_at   <0, 0, 0>
                            right     x*image_width/image_height
                            }

#declare Camera_zero = camera {/*ultra_wide_angle*/  //angle 90     // front view
                            location  <0 , 0.0 ,0>
                            look_at   <0, 0, 0.1>
                            right     x*image_width/image_height
                            }

#declare Camera_play = camera {/*ultra_wide_angle*/  //angle 90     // front view
                            location  <0 , 0.0 ,-0.5>
                            look_at   <0, 0, 0>
                            right     x*image_width/image_height
                            }

camera{Camera_zero             //  clock, variable, type  
  rotate <0,-8,0>           
  translate <0.0, 2.5, -4.8> //full?

}

//camera{Camera_zero             //  clock, variable, type  
//  rotate <0,80,0>
//  translate <-4, 4, -2>
//}

// ---------------------------------------- 

//background {color rgb <0.9,0.9,0.9>} //Light
background {color rgb <0.1,0.1,0.1>} //Dark

// typical sun light ----------------------  
light_source{<0,6,-2> color rgb <0.3,0.3,0.3>}
light_source{<-5,4,-2> color rgb <0.3,0.3,0.3>}
light_source{<-5,2,-2> color rgb <0.3,0.3,0.3>}
light_source{<0,4.75,-2> color rgb <0.3,0.3,0.3>}




#declare littleKid = 
union {
//littleKid Main Union
  union {//Torso Union
  object{theTorso scale <1,1,1> rotate <0,0,0> translate <0,0,0>}  
    //Right Arm
    union { object{rightArm scale <1,1,1> rotate <0,0,0> translate <0,0,0>}
      SRT(<1,1,1>,<50,0,-20>,<-3, 7, 0>)
    }//END Right Arm

    //Left Arm
    union { object{leftArm scale <1,1,1> rotate <0,0,0> translate <0,0,0>}
      SRT(<1,1,1>,<20,0,20>,<3, 7, 0>)
    }//END Left Arm                       

    //Right Leg
    union { object{rightLeg scale <1,1,1> rotate <0,0,0> translate <0,0,0>}
    SRT(<1,1,1>,<95,20,-5>,<-2,-0.4,-1.5>) }//END Right Leg

    //Left Leg
    union { object{leftLeg scale <1,1,1> rotate <0,0,0> translate <0,0,0>}
    SRT(<1,1,1>,<98,-20,5>,<2,-0.4,-1>) }//END Left Leg

    //Neck and Head Union
    union { object 
            //Head
            {gearHead scale <1.05, 1.0, 1.0>  //head
              translate <0.0, 3.5, 0>  
            }//END Head
    
    //Neck
    rotate <-30,-30,0>
    translate <0,7.5,0>
    //END Neck
    }//END Neck and Head Union 
  
  //Torso
 SRT(<1,1,1>,<0,0,0>,<0, 0, 0>) //adjust Torso( )  
  
  //END Torso
  
  }//END Torso Union

//finish {ambient 0.3 diffuse 0.5 }
}//END littleKid Main Union  



object { littleKid
SRT(<0.2,0.2,0.2>,<-20,50,0>,<0,1.7,0>)
  translate <0, 0, 0>
  }

